/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997, 1998  Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    5635-34 Springhouse Dr.
    Pleasanton, CA 94588 (USA)
    slouken@devolution.com
*/

#ifdef SAVE_RCSID
static char rcsid =
 "@(#) $Id: SDL_lowvideo.h,v 1.7 1999/03/14 00:53:54 slouken Exp $";
#endif

#include <X11/Xlib.h>

#include "SDL_mouse.h"

/* Variables exported by SDL_sysvideo.c to other parts of the native 
   video subsystem (SDL_sysmouse.c, SDL_syswm.c, SDL_sysevents.c)
*/
extern Display *SDL_Display;
extern Window   SDL_Window;
extern Colormap SDL_DisplayColormap;
extern Colormap SDL_PrivateColormap;
extern Atom	SDL_DELWIN;
extern WMcursor *SDL_BlankCursor;

#ifdef XFREE86_DGA
#define DGA_BROKEN_VIEWPORT
#ifdef DGA_BROKEN_VIEWPORT
/* This is used to work around a bug in XFree86, in which the viewport
   gets moved when mouse events occur in DGA mode.  It doesn't happen
   on all cards, but..
*/
extern void SDL_FixViewPort(void);
#endif
#endif /* XFREE86_DGA */
